Save bank transfers
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/banks/bankTransfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"bankTransfers": [
{
"id": 123,
"amount": 50.01,
"date": "2021-01-04",
"description": "Online Banking payment",
"creditAccountId": 123,
"debitAccountId": 123,
"matchingBankTransferId": 123,
"customData": {},
"v6EntityId": "<string>",
"payoutEntries": {
"expenseIds": [
123
],
"revenueIds": [
123
],
"invoiceIds": [
123
],
"invoicePaymentIds": [
123
],
"bankTransferIds": [
123
]
},
"expenseId": 123,
"revenueId": 123,
"taxPaymentId": 123
}
]
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/bankTransfers"
payload = { "bankTransfers": [
{
"id": 123,
"amount": 50.01,
"date": "2021-01-04",
"description": "Online Banking payment",
"creditAccountId": 123,
"debitAccountId": 123,
"matchingBankTransferId": 123,
"customData": {},
"v6EntityId": "<string>",
"payoutEntries": {
"expenseIds": [123],
"revenueIds": [123],
"invoiceIds": [123],
"invoicePaymentIds": [123],
"bankTransferIds": [123]
},
"expenseId": 123,
"revenueId": 123,
"taxPaymentId": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
bankTransfers: [
{
id: 123,
amount: 50.01,
date: '2021-01-04',
description: 'Online Banking payment',
creditAccountId: 123,
debitAccountId: 123,
matchingBankTransferId: 123,
customData: {},
v6EntityId: '<string>',
payoutEntries: {
expenseIds: [123],
revenueIds: [123],
invoiceIds: [123],
invoicePaymentIds: [123],
bankTransferIds: [123]
},
expenseId: 123,
revenueId: 123,
taxPaymentId: 123
}
]
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/bankTransfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Banks
Save bank transfers
Save a new (or update an existing) set of bank transfers
POST
/
v5
/
banks
/
bankTransfers
Save bank transfers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
bankTransfers object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I